/* CHOICES RIDDLE part of RIDDLE BOX

   Leads the player to a multiple choice game which contains the password for the next level
   See Amnesia.rtf in the instructable

   For more information please visit: https://www.instructables.com/id/Arduino-Riddlebox

   Licence: CC-BY-SA
   https://creativecommons.org/licenses/by-sa/2.5/
   //th 01/2018
*/
void choices() {

  //Riddle splash screen
item1:
  delay(250);
  lcd.clear();
  lcd.setCursor(6, 0);
  lcd.print("RIDDLE 4:");
  lcd.setCursor(7, 2);
  lcd.print("CHOICES");
  lcd.setCursor(19, 3);
  lcd.print(">");
  do {
    char key = kpd.getKey();
    if (key) {
      if (key == '#') {
        break;
      }
    }
  } while (true);

item2:
  delay(250);
  lcd.clear();
  lcd.home();
  lcd.print("Take the USB Stick");
  lcd.setCursor(0, 1);
  lcd.print("and open the file");
  lcd.setCursor(0, 2);
  lcd.print("Amnesia.rtf");
  lcd.setCursor(0, 3);
  lcd.print("<");
  lcd.setCursor(19, 3);
  lcd.print(">");
  do {
    char key = kpd.getKey();
    if (key) {
      if (key == '*') {
        goto item1;
      } else if (key == '#') {
        break;
      }
    }
  } while (true);

  delay(250);
  lcd.clear();
  lcd.home();
  lcd.print("What was the number");
  lcd.setCursor(0, 1);
  lcd.print("of the princess'");
  lcd.setCursor(0, 2);
  lcd.print("cell?");
  lcd.setCursor(0, 3);
  lcd.print("<");
  lcd.setCursor(6, 3);
  lcd.print("=[____]=");
  byte i = 0;
  boolean solved = false;
  //Change solution to any number you like
  //To change solution size, change array size to "number of solution digits + 1"
  //Remember to change the interface in line 68 ff. to accomodate the new size of the solution
  char solution[5] = {"2187"}; //STAR WARS easteregg ;)
  char answer[5] = {"0000"};
  do {
    char key = kpd.getKey();
    if (key) {
      if (key == '*') {
        goto item2;
      } else {
        answer[i] = key;
        lcd.setCursor(8 + i, 3 );
        lcd.print(answer[i]);
        i++;
      }
    }
    if (i == 4) {
      if (strcmp(answer, solution) == 0) {
        solved = true;
      } else {
        delay(1000);
        lcd.setCursor(8, 3);
        lcd.print("____");
        while (i != 0) {
          answer[i--] = 0;
        }
      }
    }
  } while (solved == false);
  progress++;
}
