/* ELEMENTARY RIDDLE part of RIDDLE BOX

   Describes iodine, asks for its atomic number

   For more information please visit: https://www.instructables.com/id/Arduino-Riddlebox

   Licence: CC-BY-SA
   https://creativecommons.org/licenses/by-sa/2.5/
   //th 01/2018
*/
void elementary() {

  //Riddle splash screen
item1:
  delay(250);
  lcd.clear();
  lcd.setCursor(6, 0);
  lcd.print("RIDDLE 1:");
  lcd.setCursor(5, 2);
  lcd.print("ELEMENTARY");
  lcd.setCursor(19, 3);
  lcd.print(">");
  do {
    char key = kpd.getKey();
    if (key == '#') {
      break;
    }
  } while (true);

//Riddle menu and solution screen
item2:
  delay(250);
  lcd.clear();
  lcd.home();
  lcd.print("I am a solid or a");
  lcd.setCursor(0, 1);
  lcd.print("gas. I am grey or");
  lcd.setCursor(0, 2);
  lcd.print("purple, but never");
  lcd.setCursor(0, 3);
  lcd.print("< liquid.");
  lcd.setCursor(19, 3);
  lcd.print(">");
  do {
    char key = kpd.getKey();
    if (key == '*') {
      goto item1;
    } else if (key == '#') {
      break;
    }
  } while (true);
  delay(250);
  lcd.clear();
  lcd.home();
  lcd.print("What's my number?");
  lcd.setCursor(7, 2);
  lcd.print("=[__]=");
  lcd.setCursor(0, 3);
  lcd.print("<");
  byte i = 0;
  boolean solved = false;
  //Change solution to any number you like
  //To change solution size, change array size to "number of solution digits + 1"
  //Remember to change the interface in line 56 ff. to accomodate the new size of the solution
  char solution[3] = {"53"};
  char answer[3] = {"00"};
  do {
    char key = kpd.getKey();
    if (key) {
      if (key == '*') {
        goto item2;
      } else {
        answer[i] = key;
        lcd.setCursor(9 + i, 2);
        lcd.print(answer[i]);
        i++;
      }
    }
    if (i == 2) {
      delay(250);
      if (strcmp(answer, solution) == 0) {
        lcd.setCursor(7, 3);
        lcd.print("CORRECT");
        delay(1000);
        solved = true;
      } else {
        lcd.setCursor(6, 3);
        lcd.print("INCORRECT");
        delay(1000);
        lcd.setCursor(6, 3);
        lcd.print("         ");
        lcd.setCursor(9, 2);
        lcd.print("__");
        //Clears the answer array by writing zeros, working backwards from the last (current) array element
        while (i != 0) {
          answer[i--] = 0;
        }
      }
    }
  } while (solved == false);
  progress++;
}
